Package Scientific :: Package Visualization :: Module VPython :: Class Cylinder

[frames] | no frames]

# Class Cylinder

    GraphicsObject --+
                     |
           ShapeObject --+
                         |
                        Cylinder

Cylinder

Instance Methods

__init__(self, point1, point2, radius, **attr) |

show(self, window) |

Inherited from `ShapeObject`: `__add__`, `display` Inherited from `GraphicsObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
| attribute_names = ``[``'``comment``'``,` `'``material``'``,` `'``faces``'``]``

Method Details

### __init__(self, point1, point2, radius, **attr)
(Constructor)

Parameters:
  - `point1` (Scientific.Geometry.Vector) - first end point of the cylinder axis
  - `point2` (Scientific.Geometry.Vector) - second end point of the cylinder axis
  - `radius` (positive number) - the cylinder radius
  - `attr` - graphics attributes as keyword parameters
Overrides: GraphicsObject.__init__